/****************************************************************************
*    This file is part of CEDEC_GO.                                         *
*    Copyright (c) 2004-2011 Takenori Kubo, Youichiro Miyake, CESA          *
*                                                                           *
*    History:                                                               *
*    01/07/2011 Tweaked for CEDEC CHALLANGE 2011 by CESA                    *
*                                                                           *
*    CEDEC_GO is free software: you can redistribute it and/or modify       *
*    it under the terms of the GNU General Public License as published by   *
*    the Free Software Foundation, either version 3 of the License, or      *
*    any later version.                                                     *
*                                                                           *
*    CEDEC_GO is distributed in the hope that it will be useful,            *
*    but WITHOUT ANY WARRANTY; without even the implied warranty of         *
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          *
*    GNU General Public License for more details.                           *
*                                                                           *
*    You should have received a copy of the GNU General Public License      *
*    along with CEDEC_GO.  If not, see <http://www.gnu.org/licenses/>.      *
*****************************************************************************/

#pragma once

// 以下のマクロは、最低限必要なプラットフォームを定義します。最低限必要なプラットフォームとは、
// アプリケーションを実行するために必要な機能を備えた最も古いバージョンの Windows や Internet Explorer など
// をいいます。これらのマクロは、指定したバージョンと、それ以前のバージョンのプラットフォーム上で利用できるすべての機能を有効にすることによって 
// 動作します。

// 下で指定された定義の前に対象プラットフォームを指定しなければならない場合、以下の定義を変更してください。
// 異なるプラットフォームに対応する値に関する最新情報については、MSDN を参照してください。
#ifndef _WIN32_WINNT            // 最低限必要なプラットフォームが Windows Vista であることを指定します。
#define _WIN32_WINNT 0x0600     // これを Windows の他のバージョン向けに適切な値に変更してください。
#endif

